<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author            pedro.garcia
@description       página principal del cu. Se listan los trámites que están para ser asignados, y
                   se muestra una tabla con el resumen de las asignaciones hechas
@cu CU-SA-AC-003   Asignar profesional avaluos
@mb                AsignacionProfesionalAvaluosMB
@version           2.0

-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Asignar avaluador::.
    </ui:define>

    <ui:define name="content">


        <p:messages id="asignarProfAvaluosMsgs" showDetail="false" />

        <h:form id="asignarProfAvaluosForm" >

            <p:fieldset toggleable="true" legend="">
                <p:dataTable 
                    id="tramitesAsignarDT"
                    value="#{asignacionProfesionalAvaluos.lazyWorkingAvaluos}"
                    var="avaluo"
                    widgetVar="avaluosAsigAvaluadorDTWV"
                    rowKey="#{avaluo.id}"
                    paginator="true"
                    rows="5"
                    selection="#{asignacionProfesionalAvaluos.selectedAvaluosForAsignacion}"
                    paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
                    {NextPageLink} {LastPageLink}"
                    rowsPerPageTemplate="5,10,15"
                    paginatorPosition="bottom"
                    emptyMessage="No se encontraron trámites de avalúos"
                    >

                    <f:facet name="header">
                        Trámites por asignar
                    </f:facet>

                    <p:column id="selectionT1" selectionMode="multiple" style="width:18px" headerText="Todos" />

                    <p:column headerText="Opciones" >
                        <p:commandButton
                            title="Consultar información predial"
                            icon="ui-icon-home"
                            action="#{consultaInformacionPredial.cargarInformacionPredial}"
                            update=":prediosAvaluoForm"
                            onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide();
                            handleCompleteSIC(xhr, status, args, infoPredialWV, true);">
                            <f:setPropertyActionListener value="#{avaluo}"
                                                         target="#{consultaInformacionPredial.avaluoSeleccionado}" />
                        </p:commandButton>
                    </p:column>

                    <p:column headerText="Departamento">
                        <p:commandLink
                            value="#{avaluo.avaluoPredios[0].departamento.nombre}"
                            rendered="#{avaluo.tienePrediosEnDiferentesDeptos}"
                            styleClass="commandLinkStyle"
                            action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                            update=":consultarDepartamentosMunicipioForm"
                            onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide();
                            handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                            <f:setPropertyActionListener value="#{avaluo}"
                                                         target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                        </p:commandLink>
                        <h:outputText rendered="#{!avaluo.tienePrediosEnDiferentesDeptos}"
                                      value="#{avaluo.avaluoPredios[0].departamento.codigo} - #{avaluo.avaluoPredios[0].departamento.nombre}" />
                    </p:column>

                    <p:column headerText="Municipio">
                        <p:commandLink value="#{avaluo.avaluoPredios[0].municipio.nombre}"
                                       rendered="#{avaluo.tienePrediosEnDiferentesMunicipios}"
                                       styleClass="commandLinkStyle"
                                       action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                                       update=":consultarDepartamentosMunicipioForm"
                                       onstart="statusDialog2.show();"
                                       oncomplete="statusDialog2.hide();
                                       handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                            <f:setPropertyActionListener value="#{avaluo}"
                                                         target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                        </p:commandLink>

                        <h:outputText
                            rendered="#{!avaluo.tienePrediosEnDiferentesMunicipios}"
                            value="#{avaluo.avaluoPredios[0].municipio.codigo} - #{avaluo.avaluoPredios[0].municipio.nombre}" />
                    </p:column>

                    <p:column headerText="Sec. Radicado">
                        <h:outputText value="#{avaluo.secRadicado}" />
                    </p:column>

                    <p:column headerText="Solicitante">
                        <h:outputText value="#{avaluo.solicitanteTramite.nombreCompleto}"/>
                    </p:column>

                    <p:column headerText="Tipo avalúo">
                        <h:outputText id="AvaluoTipoAvaluoV" value="#{avaluo.tipoAvaluo}" >
                            <f:converter for="AvaluoTipoAvaluoV" converterId="converterCB" />
                        </h:outputText>

                    </p:column>

                    <p:column headerText="Tipo trámite">
                        <h:outputText value="#{avaluo.tramite.tipoTramiteCadenaCompleto}" />
                    </p:column>

                </p:dataTable>


                <p:spacer height="30" width="0" />


                <p:outputPanel layout="block" style="text-align: left">
                    <p:commandButton
                        id="asignarInitBtn"
                        value="Asignar profesional(es)"
                        icon="ui-icon-suitcase"
                        onclick="if (avaluosAsigAvaluadorDTWV.selection.length == 0) {
                                    alert('Debe seleccionar al menos un trámite');
                                    return false;
                                }"
                        action="#{asignacionProfesionalAvaluos.asignarProfesionalesInit}"
                        oncomplete="handleCompleteSIC(xhr, status, args, consultaProfsAvaluosWV, true);"
                        />
                    <p:spacer width="10" height="0" />
                    <p:commandButton
                        value="Carga de trabajo"
                        icon="ui-icon-cart"
                        onclick="alert('falta integrar con CU 010');"/>
                    <p:spacer width="10" height="0" />
                    <p:commandButton
                        value="Visor GIS"
                        icon="ui-icon-image"/>
                </p:outputPanel>

                <p:blockUI block=":asignarProfAvaluosForm" trigger="asignarInitBtn">
                    Consultando información de profesionales de avalúos<br />
                    <p:graphicImage value="/images/loading.gif" />
                </p:blockUI>


            </p:fieldset>

        </h:form>


        <p:spacer height="20" width="0" />


        <p:messages id="asignacionesRealizadasMsgs" showDetail="false" />

        <h:form id="asignacionesRealizadasForm" >
            <p:fieldset toggleable="true" legend="">

                <p:dataTable
                    id="tramitesAsignadosDT"
                    value="#{asignacionProfesionalAvaluos.lazyWorkingAssignedAvaluos}"
                    var="avaluoA"
                    widgetVar="avaluosAsignadosDTWV"
                    rowKey="#{avaluoA.id}"
                    paginator="true"
                    rows="5"
                    selection="#{asignacionProfesionalAvaluos.selectedAssignedAvaluos}"
                    paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
                    {NextPageLink} {LastPageLink}"
                    rowsPerPageTemplate="5,10,15"
                    paginatorPosition="bottom"
                    emptyMessage="No se encontraron trámites de avalúos"
                    >

                    <f:facet name="header">
                        Asignaciones realizadas
                    </f:facet>

                    <p:column id="selectionT2" selectionMode="multiple" style="width:18px" headerText="Todos" />

                    <p:column headerText="Opciones" >
                        <p:commandButton
                            title="Consultar información predial"
                            icon="ui-icon-home"
                            />
                    </p:column>

                    <p:column headerText="Departamento">
                        <p:commandLink
                            value="#{avaluoA.avaluoPredios[0].departamento.nombre}"
                            rendered="#{avaluoA.tienePrediosEnDiferentesDeptos}"
                            styleClass="commandLinkStyle"
                            action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                            update=":consultarDepartamentosMunicipioForm"
                            onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide();
                            handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                            <f:setPropertyActionListener value="#{avaluoA}"
                                                         target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                        </p:commandLink>
                        <h:outputText rendered="#{!avaluoA.tienePrediosEnDiferentesDeptos}"
                                      value="#{avaluoA.avaluoPredios[0].departamento.codigo} - #{avaluoA.avaluoPredios[0].departamento.nombre}" />
                    </p:column>

                    <p:column headerText="Municipio">
                        <p:commandLink value="#{avaluoA.avaluoPredios[0].municipio.nombre}"
                                       rendered="#{avaluoA.tienePrediosEnDiferentesMunicipios}"
                                       styleClass="commandLinkStyle"
                                       action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                                       update=":consultarDepartamentosMunicipioForm"
                                       onstart="statusDialog2.show();"
                                       oncomplete="statusDialog2.hide();
                                       handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                            <f:setPropertyActionListener value="#{avaluoA}"
                                                         target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                        </p:commandLink>

                        <h:outputText
                            rendered="#{!avaluoA.tienePrediosEnDiferentesMunicipios}"
                            value="#{avaluoA.avaluoPredios[0].municipio.codigo} - #{avaluoA.avaluoPredios[0].municipio.nombre}" />
                    </p:column>

                    <p:column headerText="Sec. Radicado">
                        <h:outputText value="#{avaluoA.secRadicado}" />
                    </p:column>

                    <p:column headerText="Solicitante">
                        <h:outputText value="#{avaluoA.solicitanteTramite.nombreCompleto}"/>
                    </p:column>

                    <p:column headerText="Tipo avalúo">
                        <h:outputText id="AvaluoTipoAvaluoV-2" value="#{avaluoA.tipoAvaluo}" >
                            <f:converter for="AvaluoTipoAvaluoV-2" converterId="converterCB" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Tipo trámite">
                        <h:outputText value="#{avaluoA.tramite.tipoTramiteCadenaCompleto}" />
                    </p:column>

                    <p:column headerText="Avaluador">
                        <p:commandLink
                            styleClass="commandLinkStyle"
                            rendered="#{avaluoA.tieneMultiplesAvaluadores}"
                            value="#{avaluoA.avaluoAsignacionProfesionals[0].profesionalAvaluo.nombreCompleto}"
                            action="#{consultarAvaluadoresAsignados.cargarAvaluadoresAsignados}"
                            update=":consultarAvaluadoresAsignadosPG"
                            onstart="statusDialog2.show();"
                            oncomplete="infoAvaluadoresAsignadosWV.show(); statusDialog2.hide();"
                            >
                            <f:setPropertyActionListener value="#{avaluoA.secRadicado}"
                                                         target="#{consultarAvaluadoresAsignados.secRadicado}" />
                        </p:commandLink>
                        <h:outputText
                            rendered="#{!avaluoA.tieneMultiplesAvaluadores}"
                            value="#{avaluoA.avaluoAsignacionProfesionals[0].profesionalAvaluo.nombreCompleto}"/>
                    </p:column>


                </p:dataTable>

                <p:spacer height="30" width="0" />


                <p:outputPanel layout="block" style="text-align: left">
                    <p:commandButton
                        value="Desasignar profesional(es)"
                        icon="ui-icon-arrowreturnthick-1-w"
                        onstart="statusDialog2.show();"
                        onclick="if (avaluosAsignadosDTWV.selection.length == 0) {
                                    alert('Debe seleccionar al menos un trámite asignado');
                                    return false;
                                }"
                        action="#{asignacionProfesionalAvaluos.desasignarProfesionales}"
                        oncomplete="statusDialog2.hide();"
                        update=":asignarProfAvaluosForm, :asignacionesRealizadasForm,
                        :asignarProfAvaluosMsgs"
                        />
                </p:outputPanel>
            </p:fieldset>


        </h:form>


        <p:spacer height="20" width="0" />

        <h:form id="apaFinalForm" >
            <p:outputPanel layout="block" style="text-align: right">
                <p:commandButton
                    value="Confirmar asignaciones"
                    icon="ui-icon-seek-next"
                    onclick="alert('No se ha integrado con el BPM');"/>
                <p:spacer height="0" width="10" />
                <p:commandButton
                    value="Cerrar"
                    icon="ui-icon-circle-close"
                    action="#{asignacionProfesionalAvaluos.cerrarVentanaCUIrAListaTareas}" />
                <p:spacer height="0" width="10" />
            </p:outputPanel>
        </h:form>





        <!-- ..............    dialogs   ............... -->

        <p:dialog
            widgetVar="consultaProfsAvaluosWV"
            header="Profesionales de avalúos"
            appendToBody="true" closable="true" minimizable="false"
            dynamic="true" modal="true">
            <ui:include
                src="consultaProfesionalesAvaluosAsignacion.xhtml" >
                <ui:param
                    name="idsChainToUpdateOnAssignParam"
                    value=":asignarProfAvaluosForm, :asignacionesRealizadasForm,
                    :asignarProfAvaluosMsgs" />
            </ui:include>
        </p:dialog>


        <p:dialog widgetVar="definirControlesCalidadCorreccionWV"
                  header="Control de calidad de corrección"
                  appendToBody="true" closable="true" minimizable="false"
                  dynamic="true" modal="true">
            <!--<ui:include src="controlCalidadCorreccion.xhtml" />-->
        </p:dialog>

        <p:dialog widgetVar="infoDeptosMunisWV"
                  header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="600">
            <ui:include
                src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml" />
        </p:dialog>

        <p:dialog widgetVar="infoAvaluadoresAsignadosWV"
                  header="Profesionales de avalúos" appendToBody="true" closable="true"
                  minimizable="false" resizable="false" dynamic="true" modal="true"
                  width="600">
            <ui:include
                src="/avaluos/asignacion/consultarAvaluadoresAsignados.xhtml" />
        </p:dialog>

        <p:dialog widgetVar="infoPredialWV"
                  header="Información de los predios asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="850">
            <ui:include
                src="/avaluos/transversal/consultarInformacionPredial.xhtml" />
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosTramites="false" thisIdPlusColon=":dpCC"
                                 mostrarFichaPredial="false" />

        <ui:include src="/util/visorGeografico.xhtml" />


    </ui:define>

</ui:composition>

